%define		_enable_debug_packages	%{nil}
%define		debug_package		%{nil}

%bcond_without	java
%define _requires_exceptions	libCg\\|libGL\\|libjack\\|libjawt\\|libXxf86vm.so.1\\|libX11.so.6

Name:		polymake
Summary:	Algorithms around polytopes and polyhedra
Version:	2.11
Release:	%mkrel 2
License:	GPL
Group:		Sciences/Mathematics
URL:		http://www.polymake.org/

%define topname %{name}-%{version}
Source:		http://www.polymake.org/lib/exe/fetch.php/download/%{topname}.tar.bz2
Source1:	as3.gif

Provides:	perl(JavaView)
Provides:	perl(Polymake::Core::InteractiveCommands)
Provides:	perl(Polymake::Core::RuleFilter)
Provides:	perl(Polymake::Background)
Provides:	perl(Polymake::Namespaces)
Provides:	perl(Polymake::regex.pl)
Provides:	perl(Polymake::utils.pl)
Provides:	perl(Polymake::Sockets)
Provides:	perl(Polymake::regex.pl)
Provides:	perl(Polymake::utils.pl)

Requires:	gcc-c++
Requires:	gmpxx-devel
Requires:	mpfr-devel
Requires:	java >= 1.5
Requires:	perl-devel
Requires:	perl(XML::LibXML) perl(XML::SAX::Base) perl(XML::Writer) perl(XML::LibXSLT)
Requires:	perl(Term::ReadLine::Gnu)
BuildRequires:	gcc-c++
BuildRequires:	gmpxx-devel
BuildRequires:	mpfr-devel
BuildRequires:	boost-devel
BuildRequires:	libxml2-devel
%if %{with java}
Suggests:	libcg
BuildRequires:	java-devel >= 1.5
BuildRequires:	jogl
BuildRequires:  java-rpmbuild
BuildRequires:	ant >= 1.7.1
%endif
BuildRequires:	perl-devel
BuildRequires:	xmlto
BuildRequires:	xsltproc
BuildRequires:	xhtml1-dtds
BuildRequires:	perl(XML::LibXML) perl(XML::SAX::Base) perl(XML::Writer) perl(ExtUtils::MakeMaker)

Patch0:		polymake-2.11-format.patch

%description
Polymake is a versatile tool for the algorithmic treatment of
polytopes and polyhedra.  It offers an unified interface to a wide
variety of algorithms and free software packages from the computational
geometry field, such as convex hull computation or visualization tools.

%files
%{_bindir}/polymake
%{_bindir}/polymake-config
%{_includedir}/polymake
%{_datadir}/polymake
%dir %{_libdir}/polymake
%{_libdir}/polymake/lib
%{_libdir}/polymake/perlx
%{_libdir}/libpolymake.so
%config %{_libdir}/polymake/conf.make
%doc %{_docdir}/polymake

%prep
%setup -q -n %{topname}

%patch0 -p1

%build
Cflags=`echo %{optflags} |				\
    sed	-e 's/\(-Wp,\)\?-D_FORTIFY_SOURCE=[12]//g'	\
	-e 's/-gdwarf-4//'				\
	-e 's/-Wa,--compress-debug-sections//'		\
	-e 's/-fvar-tracking-assignments//'		\
	-e 's/-frecord-gcc-switches//'`
Cflags=`echo "$Cflags" | sed -e 's/[[:blank:]]\+/ /g'`
Cflags="$Cflags -pthread"
LDflags="-lxml2 -lpthread -ldl"
./configure					\
	--prefix=%{_prefix}			\
	--libdir=%{_libdir}			\
	--libexecdir=%{_libdir}/polymake	\
	--docdir=%{_docdir}/%{name}		\
	--build=%{_target_cpu}			\
	--without-prereq			\
%if %{without java}
	--without-javaview			\
	--without-java				\
%endif
	CC=gcc					\
	CXX=g++					\
	CXXOPT=-O2				\
	CFLAGS="$Cflags"			\
	CXXFLAGS="$Cflags"			\
	LDFLAGS="$LDflags"
make Arch=%{_target_cpu} ProcessDep=n

%install
make Arch=%{_target_cpu} PREFIX=%{_prefix} DESTDIR=%{buildroot} install release-docs
cp -fa %{SOURCE1} %{buildroot}%{_datadir}/%{name}

# give write permissions to owner so that strip works
find %{buildroot}%{_libdir} | xargs chmod u+w
find %{buildroot}%{_libdir} -name \*.so | xargs chmod a-x

%if %{with java}
    %ifarch x86_64 ppc64
	rm -fr %{buildroot}%{_libdir}/%{name}/lib/jreality/jni/linux32
    %else
	rm -fr %{buildroot}%{_libdir}/%{name}/lib/jreality/jni/linux64
    %endif
%else
    rm -fr %{buildroot}%{_libdir}/%{name}/lib/jreality
%endif


%changelog
* Mon Feb 27 2012 Paulo Andrade <pcpa@mandriva.com.br> 2.11-2mdv2012.0
+ Revision: 781159
- Correct path to wrongly installed 64 bit binaries in i586 build.

* Sat Feb 25 2012 Paulo Andrade <pcpa@mandriva.com.br> 2.11-1
+ Revision: 780737
- Update to latest upstream release.

* Thu Nov 18 2010 Paulo Andrade <pcpa@mandriva.com.br> 2.9.9-3mdv2011.0
+ Revision: 598818
- Rewrite rpm scriptlets to better match Mandriva

* Thu Nov 18 2010 Paulo Andrade <pcpa@mandriva.com.br> 2.9.9-2mdv2011.0
+ Revision: 598804
- Add build option to disable java and make it default

* Wed Nov 17 2010 Paulo Andrade <pcpa@mandriva.com.br> 2.9.9-1mdv2011.0
+ Revision: 598172
- Update to polymake 2.9.9

  + Shlomi Fish <shlomif@mandriva.org>
    - Correct a typo in the %%description

* Thu Feb 11 2010 Paulo Andrade <pcpa@mandriva.com.br> 2.9.7-2mdv2010.1
+ Revision: 504337
- Correct recursive dependency

* Wed Feb 10 2010 Funda Wang <fwang@mandriva.org> 2.9.7-1mdv2010.1
+ Revision: 503627
- fix str fmt
- New version 2.9.7

* Mon May 18 2009 Paulo Andrade <pcpa@mandriva.com.br> 2.9.6-6mdv2010.0
+ Revision: 377396
+ rebuild (emptylog)

* Fri May 08 2009 Paulo Andrade <pcpa@mandriva.com.br> 2.9.6-5mdv2010.0
+ Revision: 373557
+ rebuild (emptylog)

* Tue Apr 28 2009 Paulo Andrade <pcpa@mandriva.com.br> 2.9.6-4mdv2009.1
+ Revision: 369091
- Correct -Wformat-security=error and build of perl modules.

* Mon Mar 09 2009 Paulo Andrade <pcpa@mandriva.com.br> 2.9.6-3mdv2009.1
+ Revision: 353302
- Ensure the package is functional (and can be installed), by adding proper
  requires, and manually providing some perl(Polymake::...) not found by the
  __find_provides script.

* Sat Mar 07 2009 Paulo Andrade <pcpa@mandriva.com.br> 2.9.6-2mdv2009.1
+ Revision: 350720
- Update for build in Mandriva.
  o Add proper BuildRequires.
  o Correct a build problem with g++ 4.3.2.
  o Disable java interface build by default.
- Initial import of polymake.
  This initial import matches, without modifications, the srpm available at
  http://www.math.tu-berlin.de/polymake/download-alpha/polymake-2.9.6-1.src.rpm
- polymake

